%global debug_package %{nil}

Name:           asio
Version:        1.28.1
Release:        1
Summary:        A cross-platform C++ library for network programming

Group:          System Environment/Libraries
License:        Boost
URL:            https://think-async.com/Asio
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++ autoconf automake openssl-devel boost-devel perl-generators

%description
Asio is a cross-platform C++ library for network and low-level I/O programming
that provides developers with a consistent asynchronous I/O model using a
modern C++ approach.

%package devel
Summary:        Provides header files for asio
Requires:       openssl-devel boost-devel

%description devel
Asio is a cross-platform C++ library for network and low-level I/O
programming. And this package provides header files for developer
to develop applications with asio.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf --install
%configure
%make_build

%install
%make_install

%files devel
%doc doc/*
%license LICENSE_1_0.txt
%{_includedir}/asio/
%{_includedir}/asio.hpp
%{_libdir}/pkgconfig/asio.pc

%changelog
* Wed Sep 20 2023 yaoxin <yao_xin001@hoperun.com> - 1.28.1-1
- Upgrade to 1.28.1

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.16.1-1
- Upgrade to version 1.16.1

* Thu Mar 05 2020 sunguoshuai <sunguoshuai@huawei.com> - 1.10.8-9
- Package init.
